/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./src/**/*.{html,ts}",
  ],
  theme: {
    extend: {
      colors: {
        // Primary Colors
        "deep-blue": "#0a1219",        // background
        "deep-blue-light": "#121e27",  // secondary background
        "deep-blue-contrast": "#1a2835", // cards, elements

        // Accent Colors
        "emerald": "#10b981",         // primary buttons
        "emerald-dark": "#059669",    // button hover
        "emerald-light": "#34d399",   // highlights

        // Text Colors
        "text-primary": "#ffffff",    // white
        "text-secondary": "#94a3b8",  // light gray
        "text-tertiary": "#64748b",   // darker gray

        // Additional Accents
        "accent-yellow": "#fbbf24",
        "accent-red": "#ef4444",
        "accent-purple": "#8b5cf6",
      },
    },
  },
  plugins: [],
};